searchNodes=[{"type":"module","title":"Kuddle","doc":"Kuddle is a KDL ( https://github.com/kdl-org/kdl ) encoder and decoder. It is compliant with both the 1.x and 2.x specifications, simply use the appropriately versioned module for your needs. And yes UTF-8 still works. V2 is the default.","ref":"Kuddle.html"},{"type":"function","title":"Kuddle.decode/1","doc":"Decode a KDL document into kuddle nodes Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . decode ( &quot;node&quot; )","ref":"Kuddle.html#decode/1"},{"type":"function","title":"Kuddle.encode/1","doc":"Encode a kuddle document as serialized KDL Usage: &quot;node&quot; = Kuddle . encode ( [ % Node { name : &quot;node&quot; } ] )","ref":"Kuddle.html#encode/1"},{"type":"function","title":"Kuddle.select/2","doc":"Select allows searching a document for particular nodes by name, and or attributes. Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . select ( document , [ &quot;node&quot; ] )","ref":"Kuddle.html#select/2"},{"type":"type","title":"Kuddle.document/0","doc":"","ref":"Kuddle.html#t:document/0"},{"type":"module","title":"Kuddle.Node","doc":"The equivalent of a KDL Node, every node has a name, some optional annotations, attributes and children. Annotations are plain strings. Attributes contain both properties and values in the order that they appeared. Children is a list of sub Nodes.","ref":"Kuddle.Node.html"},{"type":"type","title":"Kuddle.Node.attribute/0","doc":"An attribute is either a property {key, value} , or just a plain value.","ref":"Kuddle.Node.html#t:attribute/0"},{"type":"type","title":"Kuddle.Node.t/0","doc":"","ref":"Kuddle.Node.html#t:t/0"},{"type":"module","title":"Kuddle.Path","doc":"Utility module for looking up nodes in a document. Usage: nodes = Kuddle . select ( document , path ) [ { :node , &quot;node&quot; , attrs , children } ] = Kuddle . select ( document , [ &quot;node&quot; ] )","ref":"Kuddle.Path.html"},{"type":"function","title":"Kuddle.Path.select/3","doc":"Select nodes from the given kuddle document, see the path type for the supported selectors Args: document - the document to lookup, or nil path - the selectors to use when looking up the nodes acc - the current accumulator, defaults to an empty list","ref":"Kuddle.Path.html#select/3"},{"type":"type","title":"Kuddle.Path.attr_key/0","doc":"An attribute key (i.e. %Value{}) can be anything, normally it will be an id or string though","ref":"Kuddle.Path.html#t:attr_key/0"},{"type":"type","title":"Kuddle.Path.attr_value/0","doc":"An attribute value can be anything","ref":"Kuddle.Path.html#t:attr_value/0"},{"type":"type","title":"Kuddle.Path.attribute_path/0","doc":"","ref":"Kuddle.Path.html#t:attribute_path/0"},{"type":"type","title":"Kuddle.Path.document/0","doc":"A Kuddle document is a list of nodes, nothing fancy.","ref":"Kuddle.Path.html#t:document/0"},{"type":"type","title":"Kuddle.Path.document_node/0","doc":"A single node in a document","ref":"Kuddle.Path.html#t:document_node/0"},{"type":"type","title":"Kuddle.Path.node_attributes/0","doc":"In addition to the attribute_path, node attributes can also use shorthands for {:attr, key, value} and {:value, value} , as {key, value} and value respectively.","ref":"Kuddle.Path.html#t:node_attributes/0"},{"type":"type","title":"Kuddle.Path.node_name/0","doc":"Node names are strings","ref":"Kuddle.Path.html#t:node_name/0"},{"type":"type","title":"Kuddle.Path.path/0","doc":"A path is a list of selectors that should be used when matching against the document. It allows different fragments which can be used to match different properties of the node. Fragments: node_name - the node name can be passed as a plain string in the path to select a node based on its name Example: [ % Kuddle.Node { name : &quot;node&quot; } ] = Kuddle . select ( document , [ &quot;node&quot; ] ) [ ] = Kuddle . select ( document , [ &quot;doesnt_exist&quot; ] ) {:attr, key} - a node with an attribute key can be looked up as well, this will ignore the value and only look for key value pairs with the key Example: [ % Kuddle.Node { attributes : [ { %{ value : &quot;id&quot; } , _value } ] } ] = Kuddle . select ( document , [ { :attr , &quot;id&quot; } ] ) [ ] = Kuddle . select ( document , [ { :attr , &quot;cid&quot; } ] ) {:attr, key, value} - an attribute of key and value can be looked up as well Example: [ % Kuddle.Node { attributes : [ { %{ value : &quot;id&quot; } , %{ value : &quot;egg&quot; } } ] } ] = Kuddle . select ( document , [ { :attr , &quot;id&quot; , &quot;egg&quot; } ] ) [ ] = Kuddle . select ( document , [ { :attr , &quot;cid&quot; , &quot;8847&quot; } ] ) {:value, value} - for nodes with normal values, the loose value can be looked up as well Example: [ % Kuddle.Node { attributes : [ %{ value : 1 } ] } ] = Kuddle . select ( document , [ { :value , 1 } ] ) [ ] = Kuddle . select ( document , [ { :value , 2 } ] ) {:node, node_name} - equivalent to just providing the node_name Example: [ % Kuddle.Node { name : &quot;node&quot; } ] = Kuddle . select ( document , [ { :node , &quot;node&quot; } ] ) [ ] = Kuddle . select ( document , [ { :node , &quot;doesnt_exist&quot; } ] ) {:node, node_name, attrs} - lookup a node with attributes Example: [ % Kuddle.Node { name : &quot;node&quot; , attributes : [ 1 ] } ] = Kuddle . select ( document , [ { :node , &quot;node&quot; , [ 1 ] } ] ) [ % Kuddle.Node { name : &quot;node&quot; , attributes : [ 1 ] } ] = Kuddle . select ( document , [ { :node , &quot;node&quot; , [ { :value , 1 } ] } ] ) [ % Kuddle.Node { name : &quot;node2&quot; , attributes : [ { %{ value : &quot;id&quot; } , _value } ] } ] = Kuddle . select ( document , [ { :node , &quot;node2&quot; , [ { :attr , &quot;id&quot; } ] } ] ) [ % Kuddle.Node { name : &quot;node3&quot; , attributes : [ { %{ value : &quot;id&quot; } , %{ value : &quot;bacon&quot; } } ] } ] = Kuddle . select ( document , [ { :node , &quot;node3&quot; , [ { :attr , &quot;id&quot; , &quot;bacon&quot; } ] } ] ) [ % Kuddle.Node { name : &quot;node3&quot; , attributes : [ { %{ value : &quot;id&quot; } , %{ value : &quot;bacon&quot; } } ] } ] = Kuddle . select ( document , [ { :node , &quot;node3&quot; , [ { &quot;id&quot; , &quot;bacon&quot; } ] } ] ) [ ] = Kuddle . select ( document , [ { :node , &quot;node3&quot; , [ { &quot;id&quot; , &quot;fries&quot; } ] } ] )","ref":"Kuddle.Path.html#t:path/0"},{"type":"type","title":"Kuddle.Path.selector/0","doc":"Any single path selector","ref":"Kuddle.Path.html#t:selector/0"},{"type":"module","title":"Kuddle.Tokens","doc":"Tokens emitted by the Tokenizers.","ref":"Kuddle.Tokens.html"},{"type":"macro","title":"Kuddle.Tokens.r_annotation_token/1","doc":"","ref":"Kuddle.Tokens.html#r_annotation_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_annotation_token/2","doc":"","ref":"Kuddle.Tokens.html#r_annotation_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_close_annotation_token/1","doc":"","ref":"Kuddle.Tokens.html#r_close_annotation_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_close_annotation_token/2","doc":"","ref":"Kuddle.Tokens.html#r_close_annotation_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_close_block_token/1","doc":"","ref":"Kuddle.Tokens.html#r_close_block_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_close_block_token/2","doc":"","ref":"Kuddle.Tokens.html#r_close_block_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_comment_token/1","doc":"","ref":"Kuddle.Tokens.html#r_comment_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_comment_token/2","doc":"","ref":"Kuddle.Tokens.html#r_comment_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_dquote_string_token/1","doc":"","ref":"Kuddle.Tokens.html#r_dquote_string_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_dquote_string_token/2","doc":"","ref":"Kuddle.Tokens.html#r_dquote_string_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_equal_token/1","doc":"","ref":"Kuddle.Tokens.html#r_equal_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_equal_token/2","doc":"","ref":"Kuddle.Tokens.html#r_equal_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_fold_token/1","doc":"","ref":"Kuddle.Tokens.html#r_fold_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_fold_token/2","doc":"","ref":"Kuddle.Tokens.html#r_fold_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_newline_token/1","doc":"","ref":"Kuddle.Tokens.html#r_newline_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_newline_token/2","doc":"","ref":"Kuddle.Tokens.html#r_newline_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_open_annotation_token/1","doc":"","ref":"Kuddle.Tokens.html#r_open_annotation_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_open_annotation_token/2","doc":"","ref":"Kuddle.Tokens.html#r_open_annotation_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_open_block_token/1","doc":"","ref":"Kuddle.Tokens.html#r_open_block_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_open_block_token/2","doc":"","ref":"Kuddle.Tokens.html#r_open_block_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_raw_string_token/1","doc":"","ref":"Kuddle.Tokens.html#r_raw_string_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_raw_string_token/2","doc":"","ref":"Kuddle.Tokens.html#r_raw_string_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_semicolon_token/1","doc":"","ref":"Kuddle.Tokens.html#r_semicolon_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_semicolon_token/2","doc":"","ref":"Kuddle.Tokens.html#r_semicolon_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_slashdash_token/1","doc":"","ref":"Kuddle.Tokens.html#r_slashdash_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_slashdash_token/2","doc":"","ref":"Kuddle.Tokens.html#r_slashdash_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_space_token/1","doc":"","ref":"Kuddle.Tokens.html#r_space_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_space_token/2","doc":"","ref":"Kuddle.Tokens.html#r_space_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_term_token/1","doc":"","ref":"Kuddle.Tokens.html#r_term_token/1"},{"type":"macro","title":"Kuddle.Tokens.r_term_token/2","doc":"","ref":"Kuddle.Tokens.html#r_term_token/2"},{"type":"macro","title":"Kuddle.Tokens.r_token_meta/1","doc":"","ref":"Kuddle.Tokens.html#r_token_meta/1"},{"type":"macro","title":"Kuddle.Tokens.r_token_meta/2","doc":"","ref":"Kuddle.Tokens.html#r_token_meta/2"},{"type":"type","title":"Kuddle.Tokens.close_annotation_token/0","doc":"","ref":"Kuddle.Tokens.html#t:close_annotation_token/0"},{"type":"type","title":"Kuddle.Tokens.close_block_token/0","doc":"","ref":"Kuddle.Tokens.html#t:close_block_token/0"},{"type":"type","title":"Kuddle.Tokens.comment_token/0","doc":"","ref":"Kuddle.Tokens.html#t:comment_token/0"},{"type":"type","title":"Kuddle.Tokens.comment_type/0","doc":"","ref":"Kuddle.Tokens.html#t:comment_type/0"},{"type":"type","title":"Kuddle.Tokens.dquote_string_token/0","doc":"","ref":"Kuddle.Tokens.html#t:dquote_string_token/0"},{"type":"type","title":"Kuddle.Tokens.equal_token/0","doc":"","ref":"Kuddle.Tokens.html#t:equal_token/0"},{"type":"type","title":"Kuddle.Tokens.fold_token/0","doc":"","ref":"Kuddle.Tokens.html#t:fold_token/0"},{"type":"type","title":"Kuddle.Tokens.newline_token/0","doc":"","ref":"Kuddle.Tokens.html#t:newline_token/0"},{"type":"type","title":"Kuddle.Tokens.open_annotation_token/0","doc":"","ref":"Kuddle.Tokens.html#t:open_annotation_token/0"},{"type":"type","title":"Kuddle.Tokens.open_block_token/0","doc":"","ref":"Kuddle.Tokens.html#t:open_block_token/0"},{"type":"type","title":"Kuddle.Tokens.raw_string_token/0","doc":"","ref":"Kuddle.Tokens.html#t:raw_string_token/0"},{"type":"type","title":"Kuddle.Tokens.semicolon_token/0","doc":"","ref":"Kuddle.Tokens.html#t:semicolon_token/0"},{"type":"type","title":"Kuddle.Tokens.slashdash_token/0","doc":"","ref":"Kuddle.Tokens.html#t:slashdash_token/0"},{"type":"type","title":"Kuddle.Tokens.space_token/0","doc":"","ref":"Kuddle.Tokens.html#t:space_token/0"},{"type":"type","title":"Kuddle.Tokens.term_token/0","doc":"","ref":"Kuddle.Tokens.html#t:term_token/0"},{"type":"type","title":"Kuddle.Tokens.token_meta/0","doc":"","ref":"Kuddle.Tokens.html#t:token_meta/0"},{"type":"module","title":"Kuddle.Utils","doc":"Common utility module for kuddle","ref":"Kuddle.Utils.html"},{"type":"macro","title":"Kuddle.Utils.add_col/2","doc":"","ref":"Kuddle.Utils.html#add_col/2"},{"type":"macro","title":"Kuddle.Utils.add_line/2","doc":"","ref":"Kuddle.Utils.html#add_line/2"},{"type":"macro","title":"Kuddle.Utils.is_utf8_bom_char/1","doc":"","ref":"Kuddle.Utils.html#is_utf8_bom_char/1"},{"type":"macro","title":"Kuddle.Utils.is_utf8_digit_char/1","doc":"","ref":"Kuddle.Utils.html#is_utf8_digit_char/1"},{"type":"macro","title":"Kuddle.Utils.is_utf8_direction_control_char/1","doc":"","ref":"Kuddle.Utils.html#is_utf8_direction_control_char/1"},{"type":"macro","title":"Kuddle.Utils.is_utf8_scalar_char/1","doc":"","ref":"Kuddle.Utils.html#is_utf8_scalar_char/1"},{"type":"macro","title":"Kuddle.Utils.is_utf8_sign_char/1","doc":"","ref":"Kuddle.Utils.html#is_utf8_sign_char/1"},{"type":"function","title":"Kuddle.Utils.list_to_utf8_binary/1","doc":"Converts a list to a binary, this also handles tokenizer specific escape tuples.","ref":"Kuddle.Utils.html#list_to_utf8_binary/1"},{"type":"function","title":"Kuddle.Utils.trim_leading_and_count/2","doc":"","ref":"Kuddle.Utils.html#trim_leading_and_count/2"},{"type":"function","title":"Kuddle.Utils.utf8_char_byte_size/1","doc":"","ref":"Kuddle.Utils.html#utf8_char_byte_size/1"},{"type":"module","title":"Kuddle.V1","doc":"Kuddle is a KDL ( https://github.com/kdl-org/kdl ) encoder and decoder. Kuddle is KDL 1.0.0 compliant and should be able to process most if not all KDL documents without issue. And yes UTF-8 works.","ref":"Kuddle.V1.html"},{"type":"function","title":"Kuddle.V1.decode/1","doc":"Decode a KDL document into kuddle nodes Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . decode ( &quot;node&quot; )","ref":"Kuddle.V1.html#decode/1"},{"type":"function","title":"Kuddle.V1.encode/1","doc":"Encode a kuddle document as serialized KDL Usage: &quot;node&quot; = Kuddle . encode ( [ % Node { name : &quot;node&quot; } ] )","ref":"Kuddle.V1.html#encode/1"},{"type":"function","title":"Kuddle.V1.select/2","doc":"Select allows searching a document for particular nodes by name, and or attributes. Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . select ( document , [ &quot;node&quot; ] )","ref":"Kuddle.V1.html#select/2"},{"type":"type","title":"Kuddle.V1.document/0","doc":"","ref":"Kuddle.V1.html#t:document/0"},{"type":"module","title":"Kuddle.V1.Decoder","doc":"Tokenizes and parses KDL documents into kuddle documents.","ref":"Kuddle.V1.Decoder.html"},{"type":"function","title":"Kuddle.V1.Decoder.decode/1","doc":"Tokenize and parse a given KDL document. If successful, it will return {:ok, document, tokens} , where document is the list of nodes that were parsed and tokens are any unparsed tokens.","ref":"Kuddle.V1.Decoder.html#decode/1"},{"type":"type","title":"Kuddle.V1.Decoder.document/0","doc":"A kuddle document is a list of Kuddle Nodes","ref":"Kuddle.V1.Decoder.html#t:document/0"},{"type":"type","title":"Kuddle.V1.Decoder.document_node/0","doc":"A single node in the Kuddle document","ref":"Kuddle.V1.Decoder.html#t:document_node/0"},{"type":"type","title":"Kuddle.V1.Decoder.tokens/0","doc":"Parsed tokens from the Tokenizer, these will be processed and converted into the final nodes for the document.","ref":"Kuddle.V1.Decoder.html#t:tokens/0"},{"type":"module","title":"Kuddle.V1.Encoder","doc":"Encodes a Kuddle document into a KDL blob","ref":"Kuddle.V1.Encoder.html"},{"type":"function","title":"Kuddle.V1.Encoder.encode/1","doc":"Encodes a kuddle document as a KDL string","ref":"Kuddle.V1.Encoder.html#encode/1"},{"type":"type","title":"Kuddle.V1.Encoder.document/0","doc":"","ref":"Kuddle.V1.Encoder.html#t:document/0"},{"type":"module","title":"Kuddle.V1.Tokenizer","doc":"Intermediate process of converting a KDL1 document into some basic tokens that can be parsed.","ref":"Kuddle.V1.Tokenizer.html"},{"type":"function","title":"Kuddle.V1.Tokenizer.tokenize/1","doc":"","ref":"Kuddle.V1.Tokenizer.html#tokenize/1"},{"type":"type","title":"Kuddle.V1.Tokenizer.token/0","doc":"","ref":"Kuddle.V1.Tokenizer.html#t:token/0"},{"type":"type","title":"Kuddle.V1.Tokenizer.tokens/0","doc":"","ref":"Kuddle.V1.Tokenizer.html#t:tokens/0"},{"type":"module","title":"Kuddle.V1.Utils","doc":"","ref":"Kuddle.V1.Utils.html"},{"type":"function","title":"Kuddle.V1.Utils.need_quote?/2","doc":"","ref":"Kuddle.V1.Utils.html#need_quote?/2"},{"type":"function","title":"Kuddle.V1.Utils.parse_float_string/3","doc":"","ref":"Kuddle.V1.Utils.html#parse_float_string/3"},{"type":"function","title":"Kuddle.V1.Utils.valid_identifier?/2","doc":"Check if a string is a valid identifier (that is a plain unbroken character sequence)","ref":"Kuddle.V1.Utils.html#valid_identifier?/2"},{"type":"module","title":"Kuddle.V2","doc":"This is the V2 interface which handles KDL2 documents, if you need the older encoder and encoder, see the V1 module instead.","ref":"Kuddle.V2.html"},{"type":"function","title":"Kuddle.V2.decode/1","doc":"Decode a KDL document into kuddle nodes Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . decode ( &quot;node&quot; )","ref":"Kuddle.V2.html#decode/1"},{"type":"function","title":"Kuddle.V2.encode/2","doc":"Encode a kuddle document as serialized KDL Usage: &quot;node&quot; = Kuddle . encode ( [ % Node { name : &quot;node&quot; } ] )","ref":"Kuddle.V2.html#encode/2"},{"type":"function","title":"Kuddle.V2.select/2","doc":"Select allows searching a document for particular nodes by name, and or attributes. Usage: [ % Node { name : &quot;node&quot; } ] = Kuddle . select ( document , [ &quot;node&quot; ] )","ref":"Kuddle.V2.html#select/2"},{"type":"type","title":"Kuddle.V2.document/0","doc":"","ref":"Kuddle.V2.html#t:document/0"},{"type":"module","title":"Kuddle.V2.Decoder","doc":"Tokenizes and parses KDL2 documents into kuddle documents.","ref":"Kuddle.V2.Decoder.html"},{"type":"function","title":"Kuddle.V2.Decoder.decode/1","doc":"Tokenize and parse a given KDL document. If successful, it will return {:ok, document, tokens} , where document is the list of nodes that were parsed and tokens are any unparsed tokens.","ref":"Kuddle.V2.Decoder.html#decode/1"},{"type":"macro","title":"Kuddle.V2.Decoder.default_state/1","doc":"","ref":"Kuddle.V2.Decoder.html#default_state/1"},{"type":"macro","title":"Kuddle.V2.Decoder.default_state/2","doc":"","ref":"Kuddle.V2.Decoder.html#default_state/2"},{"type":"macro","title":"Kuddle.V2.Decoder.node_state/1","doc":"","ref":"Kuddle.V2.Decoder.html#node_state/1"},{"type":"macro","title":"Kuddle.V2.Decoder.node_state/2","doc":"","ref":"Kuddle.V2.Decoder.html#node_state/2"},{"type":"type","title":"Kuddle.V2.Decoder.document/0","doc":"A kuddle document is a list of Kuddle Nodes","ref":"Kuddle.V2.Decoder.html#t:document/0"},{"type":"type","title":"Kuddle.V2.Decoder.document_node/0","doc":"A single node in the Kuddle document","ref":"Kuddle.V2.Decoder.html#t:document_node/0"},{"type":"type","title":"Kuddle.V2.Decoder.tokens/0","doc":"Parsed tokens from the Tokenizer, these will be processed and converted into the final nodes for the document.","ref":"Kuddle.V2.Decoder.html#t:tokens/0"},{"type":"module","title":"Kuddle.V2.Encoder","doc":"Encodes a Kuddle document into a KDL blob","ref":"Kuddle.V2.Encoder.html"},{"type":"function","title":"Kuddle.V2.Encoder.encode/2","doc":"Encodes a kuddle document as a KDL string","ref":"Kuddle.V2.Encoder.html#encode/2"},{"type":"type","title":"Kuddle.V2.Encoder.document/0","doc":"","ref":"Kuddle.V2.Encoder.html#t:document/0"},{"type":"module","title":"Kuddle.V2.Tokenizer","doc":"Intermediate process of converting a KDL2 document into some basic tokens that can be parsed.","ref":"Kuddle.V2.Tokenizer.html"},{"type":"function","title":"Kuddle.V2.Tokenizer.tokenize/1","doc":"","ref":"Kuddle.V2.Tokenizer.html#tokenize/1"},{"type":"type","title":"Kuddle.V2.Tokenizer.token/0","doc":"","ref":"Kuddle.V2.Tokenizer.html#t:token/0"},{"type":"type","title":"Kuddle.V2.Tokenizer.tokens/0","doc":"","ref":"Kuddle.V2.Tokenizer.html#t:tokens/0"},{"type":"module","title":"Kuddle.V2.Utils","doc":"","ref":"Kuddle.V2.Utils.html"},{"type":"function","title":"Kuddle.V2.Utils.dedent_multline_by_spaces/3","doc":"","ref":"Kuddle.V2.Utils.html#dedent_multline_by_spaces/3"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_bad_id_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_bad_id_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_disallowed_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_disallowed_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_equals_like_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_equals_like_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_newline_like_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_newline_like_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_non_identifier_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_non_identifier_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_space_like_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_space_like_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_special_char/1","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_special_char/1"},{"type":"macro","title":"Kuddle.V2.Utils.is_utf8_twochar_newline/2","doc":"","ref":"Kuddle.V2.Utils.html#is_utf8_twochar_newline/2"},{"type":"function","title":"Kuddle.V2.Utils.multiline_determine_spaces/1","doc":"","ref":"Kuddle.V2.Utils.html#multiline_determine_spaces/1"},{"type":"function","title":"Kuddle.V2.Utils.multiline_list_to_utf8_binary/1","doc":"Variant of list_to_utf8_binary, but specifically for handling multiline strings","ref":"Kuddle.V2.Utils.html#multiline_list_to_utf8_binary/1"},{"type":"function","title":"Kuddle.V2.Utils.need_quote?/2","doc":"","ref":"Kuddle.V2.Utils.html#need_quote?/2"},{"type":"function","title":"Kuddle.V2.Utils.parse_float_string/3","doc":"","ref":"Kuddle.V2.Utils.html#parse_float_string/3"},{"type":"function","title":"Kuddle.V2.Utils.split_multiline_list/3","doc":"Splits a multiline list, this will mark each line with its escape status, a line with a :esc status should not be used for whitespace trimming/dedent, as it was explictly set. One thing to note is all lines in the returned list start with a newline if its not the first line. The returned array is always reversed, so the last line will be first","ref":"Kuddle.V2.Utils.html#split_multiline_list/3"},{"type":"function","title":"Kuddle.V2.Utils.split_spaces/2","doc":"Splits off as many space characters as possible","ref":"Kuddle.V2.Utils.html#split_spaces/2"},{"type":"function","title":"Kuddle.V2.Utils.split_spaces_and_newlines/3","doc":"","ref":"Kuddle.V2.Utils.html#split_spaces_and_newlines/3"},{"type":"function","title":"Kuddle.V2.Utils.split_up_to_newline/3","doc":"","ref":"Kuddle.V2.Utils.html#split_up_to_newline/3"},{"type":"function","title":"Kuddle.V2.Utils.valid_identifier?/2","doc":"Check if a string is a valid identifier (that is a plain unbroken character sequence)","ref":"Kuddle.V2.Utils.html#valid_identifier?/2"},{"type":"type","title":"Kuddle.V2.Utils.char_or_code/0","doc":"","ref":"Kuddle.V2.Utils.html#t:char_or_code/0"},{"type":"type","title":"Kuddle.V2.Utils.esc_multiline/0","doc":"","ref":"Kuddle.V2.Utils.html#t:esc_multiline/0"},{"type":"module","title":"Kuddle.Value","doc":"Used to represent a value for attributes.","ref":"Kuddle.Value.html"},{"type":"type","title":"Kuddle.Value.format/0","doc":"","ref":"Kuddle.Value.html#t:format/0"},{"type":"type","title":"Kuddle.Value.t/0","doc":"","ref":"Kuddle.Value.html#t:t/0"},{"type":"type","title":"Kuddle.Value.value_type/0","doc":"","ref":"Kuddle.Value.html#t:value_type/0"}]